aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-18 19:25:22 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 07:53:24 +0000
commit957b8be7919f86a06b7f849cd708c2c633b5d287 (patch)
tree892e4108f97d43beb6dfae92b2ed589d90f9204a
parent1de6c2e9439443fa823810c93b8dab1e8bb7f010 (diff)
downloadaports-957b8be7919f86a06b7f849cd708c2c633b5d287.tar.gz
aports-957b8be7919f86a06b7f849cd708c2c633b5d287.tar.bz2
aports-957b8be7919f86a06b7f849cd708c2c633b5d287.tar.xz
testing/py-bottle-session: new aport
Redis based sessions for bottle. https://bitbucket.org/devries/bottle-session
-rw-r--r--testing/py-bottle-session/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-bottle-session/APKBUILD b/testing/py-bottle-session/APKBUILD
new file mode 100644
index 0000000000..0d18e9e0a6
--- /dev/null
+++ b/testing/py-bottle-session/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-bottle-session
+_pkgname=bottle-session
+pkgver=0.3
+pkgrel=0
+pkgdesc="Bottle session plugin"
+url="https://bitbucket.org/devries/bottle-session"
+arch="noarch"
+license="Artistic"
+depends="python py-bottle py-redis"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="270023aa1edbcb1eeb5eaef5dcfe9b52 bottle-session-0.3.tar.gz"
+sha256sums="19a7f7a1e55ce2e3f0d47f1c892d9dfb75f2ce58525a33f820cbfca8e317ddb6 bottle-session-0.3.tar.gz"
+sha512sums="458bb50effcb73c5ca178b7ca4d2090ba03346b6a024eef589f3411380a7856157892b98a188d29934356041e185d966e5db9d827711230cb19b3000208039ff bottle-session-0.3.tar.gz"